org.keycloak.models.jpa

## Class JpaKeycloakSessionFactory

- java.lang.Object
- - org.keycloak.models.jpa.JpaKeycloakSessionFactory

- All Implemented Interfaces:
    KeycloakSessionFactory, ProviderFactory<KeycloakSession>

      public class JpaKeycloakSessionFactory
      extends Object
      implements KeycloakSessionFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.persistence.EntityManagerFactory` | `emf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaKeycloakSessionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `KeycloakSession` | `create(ProviderSession providerSession)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emf

          protected javax.persistence.EntityManagerFactory emf

  - ### Constructor Detail

    - #### JpaKeycloakSessionFactory

          public JpaKeycloakSessionFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<KeycloakSession>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<KeycloakSession>`

    - #### create

          public KeycloakSession create(ProviderSession providerSession)

      Specified by:
        `create` in interface `KeycloakSessionFactory`
      Specified by:
        `create` in interface `ProviderFactory<KeycloakSession>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `KeycloakSessionFactory`
      Specified by:
        `close` in interface `ProviderFactory<KeycloakSession>`

Copyright © 2014. All Rights Reserved.